Remove Store Credit
Removes store credit from a checkout.
Note
- Substitute your storefront domain for
yourstore.example.com.- The Send a Test Request feature is not currently supported for this endpoint.
- This endpoint runs in the context of an active storefront session and works on any live BigCommerce-hosted storefront, not only in a local environment. It uses same-origin CORS authentication, and write requests require a CSRF token. Stencil CLI can provide a session and CSRF token for local theme development.
Path parameters
Headers
The MIME type of the response body.
Query parameters
cart.lineItems.physicalItems.options- physical optionscart.lineItems.digitalItems.options- digital optionscart.lineItems.physicalItems.categoryNames- physical categoriescart.lineItems.digitalItems.categoryNames- digital categoriescart.lineItems.customItems.categoryNames- custom categoriescart.lineItems.physicalItems.stockPosition- backorder and stock availability for physical itemscart.lineItems.digitalItems.stockPosition- backorder and stock availability for digital items (backorder values are always zero since digital products cannot be backordered)customer- customercustomer.customerGroup- customer grouppayments- paymentspromotions- promotionsconsignments.availableShippingOptions- shipping optionsconsignments.availablePickupOptions- pickup options
Request
The checkout version that you expect to apply the update to. If the provided version doesn’t match the current checkout version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.
Response
A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.
Shopperʼs message provided as details for the order to be created from this cart
Applied gift certificate (as a payment method).
true value indicates StoreCredit has been applied.
grandTotal subtract the store-credit amount
Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.